Subject: Re: bug#16596: 24.3.50; unable to move cursor while newsticker fetching data

From: Ulf Jasper <[email-masked]>
Date: Thu, 24 Jul 2014 21:16:56 +0200

[Sorry for the late reply]

Thierry Volpiatto <[email-masked]> writes:

> Hi,
> here a big regression compared with emacs-24.3, newsticker seems to
> fetch its data synchronously blocking any movements in its buffer.
> Also I see processes still open and fetching data continuously.
> (I have to kill them manually)
> Well very different behavior compared to emacs-24.3.
>
> Here the relevant config I use for newsticker:
>
> (setq newsticker-frontend 'newsticker-plainview)
> (setq newsticker-retrieval-method 'extern)

External retrieval should be asynchronous.  So there should not be any
blocking.

Does this still happen?